GuideLab API

Place a retention hold

Places immutable, controller-authorized hold evidence. Matter-key replays are idempotent only when the evidence is identical.

POST
/organization/retention-holds

Places immutable, controller-authorized hold evidence. Matter-key replays are idempotent only when the evidence is identical.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/organization/retention-holds" \  -H "Content-Type: application/json" \  -d '{    "matterKey": "string",    "operation": "all",    "reason": "string",    "scope": {      "kind": "organization",      "id": "string"    }  }'
{  "status": "placed",  "hold": {    "id": "string",    "holdingOrganizationId": "string",    "matterKey": "string",    "operation": "all",    "reason": "string",    "scope": {      "kind": "organization",      "id": "string"    },    "placedAt": "2019-08-24T14:15:22Z",    "placedBy": "string",    "releasedAt": "2019-08-24T14:15:22Z",    "releasedBy": "string",    "reviewDueAt": "2019-08-24T14:15:22Z",    "platformCustodyAt": "2019-08-24T14:15:22Z"  }}
Empty
Empty
Empty
Empty
Empty